<?php
namespace wcf\acp\form;
use wcf\acp\form\AbstractCategoryAddForm;
use wcf\system\WCF;

/**
 * Shows the term add form.
 *
 * @author	Sascha Greuel <sascha@softcreatr.de>
 * @copyright	2013 Sascha Greuel
 * @license	Creative Commons Attribution-NoDerivatives <http://creativecommons.org/licenses/by-nd/4.0/legalcode>
 * @package	be.bastelstu.sascha.termsofuse
 * @subpackage	acp.form
 * @category	Community Framework
 */
class TermsOfUseTermAddForm extends AbstractCategoryAddForm {
	/**
	 * @see	\wcf\page\AbstractPage::$activeMenuItem
	 */
	public $activeMenuItem = 'wcf.acp.menu.link.content.termsOfUse.add';
	
	/**
	 * @see	\wcf\acp\form\AbstractCategoryAddForm::$objectTypeName
	 */
	public $objectTypeName = 'be.bastelstu.sascha.termsofuse.term';
	
	/**
	 * @see	\wcf\acp\form\AbstractCategoryAddForm::$pageTitle
	 */
	public $pageTitle = 'wcf.acp.termsOfUse.add';
	
	/**
	 * @see	\wcf\page\AbstractPage::$templateName
	 */
	public $templateName = 'termsOfUseTermAdd';
	
	/**
	 * @see	\wcf\page\IForm::save()
	 */
	public function save() {
		parent::save();
		
		if (isset($this->additionalData['acceptanceReset']) && $this->additionalData['acceptanceReset']) {
			$sql = "UPDATE	wcf".WCF_N."_user
				SET	disclaimerAccepted = ?";
			$statement = WCF::getDB()->prepareStatement($sql);
			$statement->execute(array(0));
		}
	}
}
